## bleak 0.15.1

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help
define BROWSER_PYSCRIPT
import os, webbrowser, sys
try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT
BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts


clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

lint: ## check style with flake8
	flake8 bleak tests

test: ## run tests quickly with the default Python
	py.test
	

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source bleak -m pytest
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/bleak.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ bleak
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: clean ## package and upload a release
	python setup.py sdist upload
	python setup.py bdist_wheel upload

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

=== requirements.txt ===
typing-extensions>=4.2.0
dbus-next>=0.2.2; sys_platform=="linux"
pyobjc-core>=7.0.1;sys_platform == 'darwin'
pyobjc-framework-CoreBluetooth>=7.0.1;sys_platform == 'darwin'
pyobjc-framework-libdispatch>=7.0.1;sys_platform == 'darwin'
bleak-winrt>=1.1.1; sys_platform == 'win32'

=== debian/changelog ===
bleak (0.15.1-2) unstable; urgency=medium

  * Set LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 for sphinx-build to fix
    reproducibility problems.

 -- Edward Betts <edward@4angle.com>  Tue, 09 Aug 2022 07:44:50 +0100

bleak (0.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Install AUTHORS.rst.
  * Add python3-typing-extensions and python3-pytest-asyncio to Build-Depends.
  * Add missing dependency on the bluez package.
  * Add python3-pytest-asyncio as a dependency for running autopkgtest.

 -- Edward Betts <edward@4angle.com>  Fri, 05 Aug 2022 15:35:41 +0100

bleak (0.14.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1015988)

 -- Edward Betts <edward@4angle.com>  Tue, 26 Jul 2022 09:44:53 +0100

=== debian/control ===
Source: bleak
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: bluez,
               debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-all,
               python3-dbus-next,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-typing-extensions
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/hbldh/bleak
Vcs-Browser: https://salsa.debian.org/python-team/packages/bleak
Vcs-Git: https://salsa.debian.org/python-team/packages/bleak.git

Package: python3-bleak
Architecture: all
Depends: bluez, ${misc:Depends}, ${python3:Depends}
Description: Bluetooth Low Energy platform agnostic client
 Bleak is an acronym for Bluetooth Low Energy platform Agnostic Klient.
 .
 Bleak is a GATT client software, capable of connecting to BLE devices
 acting as GATT servers. It is designed to provide a asynchronous,
 cross-platform Python API to connect and communicate with e.g. sensors.
 .
 Bleak supports reading, writing and getting notifications from
 GATT servers, as well as a function for discovering BLE devices.

Package: python-bleak-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Bluetooth Low Energy platform agnostic client (Documentation)
 Bleak is an acronym for Bluetooth Low Energy platform Agnostic Klient.
 .
 Bleak is a GATT client software, capable of connecting to BLE devices
 acting as GATT servers. It is designed to provide a asynchronous,
 cross-platform Python API to connect and communicate with e.g. sensors.
 .
 Bleak supports reading, writing and getting notifications from
 GATT servers, as well as a function for discovering BLE devices.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bleak
export PYBUILD_TEST_PYTEST=1
export PYBUILD_AFTER_INSTALL=rm '{destdir}/usr/bin/bleak-lescan'
export DH_ALWAYS_EXCLUDE=.gitignore

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf bleak.egg-info/ docs/bleak.backends.* docs/bleak.rst; rm -f docs/modules.rst
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	make -C docs clean
endif

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-bleak -p python-bleak-doc
	dh_installdocs -p python3-bleak

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-apidoc -o docs/ bleak
	cd docs && LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -b html -d _build/doctrees   . _build/html
endif

## bleak 0.19.5

=== debian/changelog ===
bleak (0.19.5-3) unstable; urgency=medium

  * Drop patch to remove poetry group dependencies from pyproject.toml.
    The patch is no longer needed because poetry-core 1.3.2-3 has migrated
    to testing.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Tue, 03 Jan 2023 16:06:34 +0000

bleak (0.19.5-2) unstable; urgency=medium

  * Fix pyproject.toml group dependencies patch to avoid excessive Depends
    in python3-bleak. (Closes: #1025258)

 -- Edward Betts <edward@4angle.com>  Sun, 04 Dec 2022 15:18:04 +0000

bleak (0.19.5-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 01 Dec 2022 11:38:00 +0000

bleak (0.19.4-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 08 Nov 2022 14:24:02 +0000

bleak (0.19.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 30 Oct 2022 05:17:26 +0000

bleak (0.19.0-3) unstable; urgency=medium

  * Use binary package name (python3-home-assistant-bluetooth) in Breaks
    field instead of source package name (home-assistant-bluetooth).

 -- Edward Betts <edward@4angle.com>  Wed, 26 Oct 2022 10:23:03 +0100

bleak (0.19.0-2) unstable; urgency=medium

  * This library breaks older versions of home-assistant-bluetooth.

 -- Edward Betts <edward@4angle.com>  Wed, 26 Oct 2022 10:03:41 +0100

bleak (0.19.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream switched build system from setuptools to poetry.
  * Remove /usr/bin/bleak-lescan during build because it is not needed.
  * The version of poetry in testing does not support group dependencies,
    so remove them from the pyproject.toml file.

 -- Edward Betts <edward@4angle.com>  Thu, 20 Oct 2022 20:49:20 +0100

bleak (0.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: Add python3-async-timeout.

 -- Edward Betts <edward@4angle.com>  Fri, 02 Sep 2022 12:35:12 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,16 @@
                debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-sphinxdoc <!nodoc>,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-dbus-next,
+               python3-async-timeout,
+               python3-dbus-fast <!nocheck>,
+               python3-poetry-core,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
-               python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-typing-extensions
+               python3-typing-extensions <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Homepage: https://github.com/hbldh/bleak
@@ -24,6 +26,7 @@
 Package: python3-bleak
 Architecture: all
 Depends: bluez, ${misc:Depends}, ${python3:Depends}
+Breaks: python3-home-assistant-bluetooth (<< 1.6.0)
 Description: Bluetooth Low Energy platform agnostic client
  Bleak is an acronym for Bluetooth Low Energy platform Agnostic Klient.
  .

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 export PYBUILD_NAME=bleak
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_AFTER_INSTALL=rm '{destdir}/usr/bin/bleak-lescan'
 export DH_ALWAYS_EXCLUDE=.gitignore
 
 %:

## bleak 0.20.2

=== docs/requirements.txt ===
Sphinx==5.1.1
sphinx-rtd-theme==1.0.0
tomli==2.0.1

=== debian/changelog ===
bleak (0.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Patch pyproject.toml to make command tool available. (Closes: #1031659)
  * Use python3-argparse-manpage to generate a simple man page.

 -- Edward Betts <edward@4angle.com>  Mon, 24 Apr 2023 13:30:20 +0200

bleak (0.20.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 25 Mar 2023 07:07:23 +0000

bleak (0.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Wed, 22 Mar 2023 13:39:37 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                dh-sequence-sphinxdoc <!nodoc>,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-argparse-manpage,
                python3-async-timeout,
                python3-dbus-fast <!nocheck>,
                python3-poetry-core,
@@ -18,7 +19,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-typing-extensions <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/hbldh/bleak
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bleak
 Vcs-Git: https://salsa.debian.org/python-team/packages/bleak.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf bleak.egg-info/ docs/bleak.backends.* docs/bleak.rst; rm -f docs/modules.rst
+	rm -rf bleak.egg-info/ debian/bleak.1 docs/bleak.backends.* docs/bleak.rst; rm -f docs/modules.rst
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	make -C docs clean
 endif
@@ -20,6 +20,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
+	python3 $(CURDIR)/debian/build_manpage.py > debian/bleak.1
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	sphinx-apidoc -o docs/ bleak
 	cd docs && LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -b html -d _build/doctrees   . _build/html

## bleak 0.21.1

=== debian/changelog ===
bleak (0.21.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 12 Sep 2023 10:33:36 +0530

bleak (0.21.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Build-Depends on python3-tomli, now required by upstream.

 -- Edward Betts <edward@4angle.com>  Thu, 07 Sep 2023 20:11:56 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                python3-pytest-asyncio <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+               python3-tomli,
                python3-typing-extensions <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2

## bleak 0.22.1

=== debian/changelog ===
bleak (0.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 12 May 2024 18:23:31 +0100

bleak (0.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sun, 05 May 2024 11:59:11 +0300

## bleak 0.22.2

=== debian/changelog ===
bleak (0.22.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Stop shipping the Windows and Android backends.
  * Move packages required for tests to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Mon, 03 Jun 2024 20:33:45 +0100

## bleak 0.22.3

=== debian/changelog ===
bleak (0.22.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 08 Oct 2024 09:00:33 +0100

=== debian/control ===
Source: bleak
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 bluez,
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-argparse-manpage,
 python3-async-timeout,
 python3-dbus-fast <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-tomli,
 python3-typing-extensions <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/hbldh/bleak
Vcs-Browser: https://salsa.debian.org/python-team/packages/bleak
Vcs-Git: https://salsa.debian.org/python-team/packages/bleak.git

Package: python3-bleak
Architecture: all
Depends:
 bluez,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-home-assistant-bluetooth (<< 1.6.0),
Description: Bluetooth Low Energy platform agnostic client
 Bleak is an acronym for Bluetooth Low Energy platform Agnostic Klient.
 .
 Bleak is a GATT client software, capable of connecting to BLE devices
 acting as GATT servers. It is designed to provide a asynchronous,
 cross-platform Python API to connect and communicate with e.g. sensors.
 .
 Bleak supports reading, writing and getting notifications from
 GATT servers, as well as a function for discovering BLE devices.

Package: python-bleak-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Bluetooth Low Energy platform agnostic client (Documentation)
 Bleak is an acronym for Bluetooth Low Energy platform Agnostic Klient.
 .
 Bleak is a GATT client software, capable of connecting to BLE devices
 acting as GATT servers. It is designed to provide a asynchronous,
 cross-platform Python API to connect and communicate with e.g. sensors.
 .
 Bleak supports reading, writing and getting notifications from
 GATT servers, as well as a function for discovering BLE devices.
 .
 This package contains the documentation.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bleak-$1\.tar\.gz/ \
  https://github.com/hbldh/bleak/tags .*/v?(\d\S+)\.tar\.gz

## bleak 1.0.1

=== debian/changelog ===
bleak (1.0.1-4) unstable; urgency=medium

  * Breaks previous versions of python3-bluetooth-adapters.

 -- Edward Betts <edward@4angle.com>  Tue, 08 Jul 2025 20:27:04 +0200

bleak (1.0.1-3) unstable; urgency=medium

  * Breaks old python3-home-assistant-bluetooth.

 -- Edward Betts <edward@4angle.com>  Tue, 08 Jul 2025 11:32:02 +0200

bleak (1.0.1-2) unstable; urgency=medium

  * Add Breaks relationships for python3-bleak due to API changes.

 -- Edward Betts <edward@4angle.com>  Mon, 07 Jul 2025 22:12:37 +0200

bleak (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch to make command line tool available.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Thu, 03 Jul 2025 12:07:59 +0100

=== debian/control ===
--- 
+++ 
@@ -23,10 +23,11 @@
  python3-tomli,
  python3-typing-extensions <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/hbldh/bleak
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bleak
 Vcs-Git: https://salsa.debian.org/python-team/packages/bleak.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-bleak
 Architecture: all
@@ -35,7 +36,11 @@
  ${misc:Depends},
  ${python3:Depends},
 Breaks:
- python3-home-assistant-bluetooth (<< 1.6.0),
+ python3-home-assistant-bluetooth (<< 1.13.1-4),
+ python3-bleak-retry-connector (<< 4.0.0),
+ python3-habluetooth (<< 4.0.1),
+ python3-pykulersky (<< 0.6.0),
+ python3-bluetooth-adapters (<< 2.0.0),
 Description: Bluetooth Low Energy platform agnostic client
  Bleak is an acronym for Bluetooth Low Energy platform Agnostic Klient.
  .

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 export PYBUILD_NAME=bleak
 export PYBUILD_TEST_PYTEST=1
 export DH_ALWAYS_EXCLUDE=.gitignore
+export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/bleak/backends/p4android \
+	                                {destdir}/usr/lib/python3*/dist-packages/bleak/backends/winrt
 
 %:
 	dh $@ --buildsystem=pybuild

## bleak 1.1.0

=== debian/changelog ===
bleak (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 15 Aug 2025 17:39:02 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  python3-pytest-asyncio <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
- python3-tomli,
  python3-typing-extensions <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2

## bleak 1.1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -W -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/bleak.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/bleak.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/bleak"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/bleak"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
bleak (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Tue, 09 Sep 2025 07:52:38 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-typing-extensions <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/hbldh/bleak
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bleak

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,7 @@
 	dh_installdocs --doc-main-package=python3-bleak -p python-bleak-doc
 	dh_installdocs -p python3-bleak
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	python3 $(CURDIR)/debian/build_manpage.py > debian/bleak.1
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	sphinx-apidoc -o docs/ bleak

=== debian/watch ===
version=4
https://github.com/hbldh/bleak/tags .*/v?(\d\S+)\.tar\.gz

## bleak 2.0.0

=== debian/changelog ===
bleak (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Fix clean target.
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Jan 2026 16:50:00 +0100

bleak (2.0.0-2) unstable; urgency=medium

  * The python3-sphinx package is needed for debian/rules clean.

 -- Edward Betts <edward@4angle.com>  Wed, 03 Dec 2025 12:44:00 +0000

bleak (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to format version 5.

 -- Edward Betts <edward@4angle.com>  Wed, 03 Dec 2025 12:08:19 +0000

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,24 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
- bluez,
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ bluez,
  pybuild-plugin-pyproject,
  python3-all,
  python3-poetry-core,
+ python3-sphinx,
 Build-Depends-Indep:
  python3-argparse-manpage,
  python3-async-timeout,
  python3-dbus-fast <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
- python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-typing-extensions <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/hbldh/bleak
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bleak
 Vcs-Git: https://salsa.debian.org/python-team/packages/bleak.git
@@ -34,11 +33,11 @@
  ${misc:Depends},
  ${python3:Depends},
 Breaks:
+ python3-bleak-retry-connector (<< 4.0.0),
+ python3-bluetooth-adapters (<< 2.0.0),
+ python3-habluetooth (<< 4.0.1),
  python3-home-assistant-bluetooth (<< 1.13.1-4),
- python3-bleak-retry-connector (<< 4.0.0),
- python3-habluetooth (<< 4.0.1),
  python3-pykulersky (<< 0.6.0),
- python3-bluetooth-adapters (<< 2.0.0),
 Description: Bluetooth Low Energy platform agnostic client
  Bleak is an acronym for Bluetooth Low Energy platform Agnostic Klient.
  .

## bleak 2.1.1

=== debian/changelog ===
bleak (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now uses Bumble (a full Bluetooth stack implemented in Python).
  * Drop CLI and manpage, removed upstream.
  * No longer need python3-tomlkit or python3-argparse-manpage to build.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Tue, 17 Feb 2026 09:07:13 +0000

bleak (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now needs python3-pytest-cov for tests.
  * Pass --no-cov when running tests.
  * Add a build-time pyproject.toml patcher for the CLI entry point.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Dec 2025 08:59:35 +0000

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,12 @@
  python3-poetry-core,
  python3-sphinx,
 Build-Depends-Indep:
- python3-argparse-manpage,
  python3-async-timeout,
+ python3-bumble <!nocheck>,
  python3-dbus-fast <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
+ python3-pytest-cov <!nocheck>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-typing-extensions <!nocheck>,
 Standards-Version: 4.7.3

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bleak
export PYBUILD_TEST_PYTEST=1
export DH_ALWAYS_EXCLUDE=.gitignore
export PYBUILD_TEST_ARGS=--no-cov
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/bleak/backends/p4android \
	                                {destdir}/usr/lib/python3*/dist-packages/bleak/backends/winrt

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf bleak.egg-info/ docs/bleak.backends.* docs/bleak.rst; rm -f docs/modules.rst
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	make -C docs clean
endif

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-bleak -p python-bleak-doc
	dh_installdocs -p python3-bleak

execute_after_dh_auto_build:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-apidoc -o docs/ bleak
	cd docs && LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -b html -d _build/doctrees   . _build/html
endif

=== debian/watch ===
Version: 5

Template: Github
Owner: hbldh
Project: bleak
